{% extends 'blog/base.html' %}

{% block content %}
<article class="media content-section">
    <img class="rounded-circle article-img" src="{{ object.author.profile.image.url }}" alt="">
    <div class="media-body">
        <div class="article-metadata">
            <a class="mr-2" href="{% url 'user-posts' object.author.username %}"
                style="color: green;">{{ object.author }}</a>
            <small class="text-muted">{{ object.date_posted|date:"F d, Y" }}</small>
            {% if object.author == user %}
            <div>
                <a class="btn btn-secondary btn-sm mt-1 mb-1" href="{% url 'post-update' object.slug %}">Update</a>
                <a class="btn btn-danger btn-sm mt-1 mb-1" href="{% url 'post-delete' object.slug %}">Delete</a>
            </div>
            {% endif %}
            {% if user.is_authenticated %}
            <div class="like">
                <a data-href="{{ object.get_api_like_url }}" data-likes="{{ object.likes.count }}"
                    href="{{ object.get_like_url }}" class="like-info like-button"><i aria-hidden="true"
                        class="fas fa-heart like-ic"></i></a>
            </div>
            {% endif %}
        </div>
        <h2 class="article-title">{{ object.title }}</h2>
        <p class="article-content">{{ object.content }}</p>
        <hr>
    </div>
</article>

<article class="content-section">
    <!-- COMMENTS -->
    <section class="content mt-5">
        <h3>Add comments</h3>
        <form action="{% url 'comments' post.slug %}" method="POST">
            {% csrf_token %}
            <textarea required name="body" class="form-control" id="" cols="30" rows="10"
                style="width: 100%; height: 50px;"></textarea>
            <button class="btn btn-success" type="submit" style="margin-top: 10px;">Send</button>
        </form>
    </section>
    <section style="margin-top: 50px; display: flex; justify-content: space-around; flex-direction: column;">
        <i>
            <p style="color: #888;">Comments: {{post.comments.count}}</p>
        </i>
        {% for comment in post.comments.all %}
        <div style="
    border: 1px solid #888; 
    padding: 10px; 
    border-radius: 9px;">
            <img class="rounded-circle account-img" src="{{ comment.author.profile.image.url }}">
            <h3>{{comment.author.username}}</h3>
            <p>{{comment.body}}</p>
            <em style="font-size: 12px;">{{comment.date|date:"D j M, Y"}}</em>
        </div>
        {% endfor %}
    </section>
    <!-- END OF THE COMMENTS -->
</article>

{% endblock %}